%Various Parameters
Mass                =[92000 0 0;
                     0 92000 0;
                     0 0 57600000]; 
%Zero frequency added mass matrix
Added_mass_0_freq=[0.202e6 0 0 ;
                   0 0.202e6 -0.212e6;
                   0 -2.212e5 0.77e7];
%Zero frequency linear damping               
Linear_damp_0_freq=[0.140e0 0 0;
                    0 0.200e0 -0.449e-1;
                    0 -0.449e-1 0.482e1];
%Linearized nonlinear damping
Nonlinear_damping = [226 0 0;
                     0 500 0;
                     0 0 200];
%Restoring coefficients    
C_lf=zeros(3,3);

%Mathematical Model
M_lf=   Mass+Added_mass_0_freq;
A_lf=-M_lf\Linear_damp_0_freq; 
Nonlinear_damping_lf=-M_lf\Nonlinear_damping;
B_lf=[1/M_lf(1,1) 0 0;
      0 1/M_lf(2,2) 0;
      0 0 1/M_lf(3,3)];
%Thrust Configuration Matrix  
T_3d=  [0 1 0 1 0;
     1 0 1 0 1;
     l_x_vv -l_y_wj_p l_x_wj_p -l_y_wj_sb l_x_wj_sb];
 %Controller feedback gains
 k_i=[230 0 0;
     0 350 0;
     0 0 2600];
k_p=[7000 0 0;
     0 17000 0;
     0 0 260000];
k_d=[100000 0 0;
     0 250000 0;
     0 0 4000000];
